# multiblock

<!-- badges: start -->
[![Lifecycle: experimental](https://img.shields.io/badge/lifecycle-experimental-blue.svg)](https://lifecycle.r-lib.org/articles/stages.html#experimental)
[![CRAN Status](https://www.r-pkg.org/badges/version/multiblock)](https://cran.r-project.org/package=multiblock)
<!-- badges: end -->

<!-- A badge for later?: [![R-CMD-check](https://github.com/khliland/multiblock/workflows/check-standard/badge.svg)](https://github.com/khliland/multiblock/actions) -->
 
## Installation

``` r
# Install release version from CRAN  
install.packages("multiblock")  
# Install development version from GitHub  
devtools::install_github("khliland/multiblock")
```

## Multiblock book <img src="man/figures/Wiley.png" align="right" alt="" width="232" />

This package contains a large variety of the methods described in Age K. Smilde, Tormod Næs and Kristian Hovde Liland's book:  

_Multiblock Data Fusion in Statistics and Machine Learning_  
 _- Applications in the Natural and Life Sciences_ .  

Published by Wiley in May 2022.

## Contents

- Functions and vignettes organised into:
    - data handling
    - basic methods
    - unsupervised methods
    - ASCA
    - supervised methods
    - methods for complex structures
- A selection of datasets
- Common framework and plotting routines
